%if %mdkversion <= 200600
%define    py_platsitedir %{_libdir}/python2.4/site-packages
%endif
%define    name istanbul
%define    version 0.1.1
%define    rel 11
%define    release %mkrel %rel
%define    summary  Desktop Session Recorder

Summary:   %summary
Name:      %name
Version:   %version 
Release:   %release
License:   GPL
Group:     Video
URL:       http://live.gnome.org/Istanbul 
Source:    http://live.hujjat.org/istanbul-%{version}.tar.bz2
Patch:     istanbul-0.1.1-icecast-fix.patch.bz2
Patch1:    istanbul-0.1.1-kdemenu-fix.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:  pygtk2.0 pygtk2.0-libglade gstreamer-x11

# when suggest tag is implemented, we can change this one

Requires: gstreamer-icecast  
Requires: gstreamer-jpeg
Requires: gstreamer-python
Requires: gstreamer-vorbis
BuildRequires: python
BuildRequires: desktop-file-utils
BuildRequires: pygtk2.0-devel
BuildRequires: gstreamer-python
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-devel
BuildRequires: ImageMagick
BuildRequires: automake1.8

%description
Istanbul is a desktop session recorder.  You can use it to record your desktop 
session and then play it back for demos, tutorials and presentations.  Sessions 
are recorded to ogg theora files for later playback.

%prep
%setup -q
%patch -p0 
%patch1 -p0
aclocal -I common
automake
autoconf

%build
%configure2_5x
%make 

%install
rm -rf %buildroot
%makeinstall
%if %_lib != lib
mkdir -p %buildroot%_libdir
mv %buildroot%_prefix/lib/python* %buildroot%_libdir
%endif
rm -f %buildroot%{py_platsitedir}/istanbul/extern/pytrayicon/*.la

mkdir -p %buildroot/%{_menudir}
cat > %buildroot/%{_menudir}/%{name} << EOF
?package(%{name}):command="%{_bindir}/%{name}" \
          icon="%{name}.png" \
          needs="x11" \
          section="Multimedia/Video" \
          title="Istanbul" \
          longtitle="A desktop recorder and streamer"
EOF
for i in 16 32 48; do 
    convert %buildroot/%{_datadir}/pixmaps/%{name}.png -size ${i}x${i} %{name}-${i}.png
done

install -m0644 %{name}-16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m0644 %{name}-32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m0644 %{name}-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


%clean
rm -rf %buildroot


%files 
%defattr(-,root,root,-)
%doc ChangeLog 
#NEWS README AUTHORS
%{_bindir}/%{name}
%{py_platsitedir}/%{name}
%{_menudir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png 
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Tue Apr 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.1-11mdk
- Fix Build for mdv <= 2006.0

* Mon Apr 03 2006 Sebastien Savarin <plouf@mandriva.org> 0.1.1-10mdk
- add missing Requires on gstreamer-vorbis
- use macros
- make specfile "reader friendly"

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 0.1.1-9mdk
- install in the right dir on x86_64

* Fri Feb 10 2006 Michael Scherer <misc@mandriva.org> 0.1.1-8mdk
- patch 1, stolen from debian, fix the problem regarding icon menu on kde 
- use python macro

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 0.1.1-7mdk
- fix buildrequires

* Mon Jan  2 2006 Gtz Waschk <waschk@mandriva.org> 0.1.1-6mdk
- fix build

* Sat Dec 31 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-5mdk
- depend on the jpeg plugin for the smoke codec

* Thu Sep 29 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-4mdk
- fix buildrequires

* Tue Sep 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.1-3mdk
- Fix BuildRequires ( ImageMagick because of convert )

* Mon Jul 04 2005 Michael Scherer <misc@mandriva.org> 0.1.1-2mdk
- fix deps

* Sat Jul 02 2005 Michael Scherer <misc@mandriva.org> 0.1.1-1mdk
- adaptation of spec from John (J5) Palmieri <johnp@redhat.com>
- patch for various bug related to icecast support

